From 61ca18da6fa20b3a4bdd0549c3b915de6a5dabe8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 04 2020 03:54:14 +0000
Subject: [PATCH 952/2232] Make kind::Opaque and kind::Trivial impossible to instantiate


These marker types are never intended to exist at runtime, only at
compile time in a trait impl.

---

diff --git a/src/extern_type.rs b/src/extern_type.rs
index 554c406..ab7b3fd 100644
--- a/src/extern_type.rs
+++ b/src/extern_type.rs
@@ -154,12 +154,12 @@ pub mod kind {
     ///
     /// When passed across an FFI boundary, an opaque C++ type must be behind an
     /// indirection such as a reference or UniquePtr.
-    pub struct Opaque;
+    pub enum Opaque {}
 
     /// A type with trivial move constructor and no destructor, which can
     /// therefore be owned and moved around in Rust code without requiring
     /// indirection.
-    pub struct Trivial;
+    pub enum Trivial {}
 }
 
 #[doc(hidden)]

